Subject: Re: Connection refused

From: [email-masked]
Date: Tue, 13 Jul 1999 13:41:35 +0100

Thanks for the "net-tools"/ping  problem

>>With ftp: I have inetd running ( ready to call "tcpd " and then "ftpd"). The
>>tcpdchk and tcpdmatch commands let me know that all seem to be OK for a ftp on
>>127.0.0.1 (access granted), but when trying "ftp 127.0.0.1", I have "ftp:
>>connect: Connection refused" . ???

>Does `netstat -a' show inetd listening for connections?

No.
lo is in the routing table of the kernel (netstat -r), but nothing for netstat
-a.
In the inetd.conf, I have:
ftp  stream    tcp  nowait    root /usr/sbin/tcpd  ftpd
( I've removed all the other lines )

When I execute inetd -d (on background), I have:
     ADD : ftp proto=tcp, wait.max=0.40 user.group=root.(null) builtin=0
server=/usr/sbin/tcpd

So it seems that inetd doesn't listening for connections. (?) Where does that
come from ? I use inetd coming from netkit-base-0.10-10.src.rpm. Should I use a
newer version as well ?

Arnaud

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Tue, 13 Jul 1999 19:23:44 +0100 (BST)

[email-masked] writes:
> lo is in the routing table of the kernel (netstat -r), but
> nothing for netstat -a.
>

That should be:

ftp	stream	tcp	nowait	root	/usr/sbin/tcpd /usr/sbin/ftpd

You should always specify the path to the ultimate executable, especially
when using tcpd.

> So it seems that inetd doesn't listening for connections. (?)

Indeed, that is what it looks like.  Do you get any messages sent
to syslog about it?
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]